---
title: Self Endpoints (2017/01)
slug: legacy-docs/self-endpoints-201701
docTags: 
createdAt: 2025-03-11T07:03:32.130Z
---

These endpoints allow users to manage their settings in the current network. 

**Base URL for these endpoints:**  *https\://api.brightsignnetwork.com/2017/01/REST/Self*

## GET  /

Returns the information associated with the person (the requestor).

**Response Body**

Returns the [Person Entity (2017/01)](docId:6vGk0_Je3OZujtoA6UKpT)&#x20;

## PUT  /

Updates a person's information.

**Request Body**

The [Person Entity (2017/01)](docId:6vGk0_Je3OZujtoA6UKpT)&#x20;

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

On success this method returns a status code 2XX, on failure it returns a status code of 5XX.

## GET  /Networks/ 

Returns the networks associated with a person

**Response Body**

Returns a complete list of [Network Entity](docId\:fjR_4zFSeOx-O_boAbxVy) instances associated with a person.

## POST  /Networks/ 

Creates a network for the person.

**Request Body**

The [Network Entity](docId\:fjR_4zFSeOx-O_boAbxVy)

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns a 201 status code and the new resource created and referenced by the Uri (given by the Location header field) in the response. The response includes the network entity (see [Network Entity](docId\:fjR_4zFSeOx-O_boAbxVy)).

## GET  /Networks/\{id\:int}/ 

Returns a list of networks associated with a specified id.

**Parameter**

`id` int

The unique identifier for a network

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns the [Network Entity](docId\:fjR_4zFSeOx-O_boAbxVy)

## GET  /Networks/&#x7B;name}/ 

Returns a list of networks associated with a specified name.

**Parameter**

`name` string

The name of a network

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns the [Network Entity](docId\:fjR_4zFSeOx-O_boAbxVy)

## GET  /Networks/\{id\:int}/Settings/ 

Returns the settings associated with a specified network.

**Parameter**

`id` int

The unique identifier for a network

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns the [Network Settings Entity](docId\:S2_BRXukXI4xQTU33dwiL)

## PUT  /Networks/\{id\:int}/Settings/ 

Update the settings associated with a specified network

**Parameter**

`id`  int

The network identifier

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

The [Network Settings Entity](docId\:S2_BRXukXI4xQTU33dwiL)

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

On success this method returns a status code 2XX, on failure it returns a status code of 5XX.

## GET  /Networks/&#x7B;name}/Settings/ 

Get the settings associated with a specified network.

**Parameter**

`name` string

The network name

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns the [Network Settings Entity](docId\:S2_BRXukXI4xQTU33dwiL)

## PUT  /Networks/&#x7B;name}/Settings/ 

Update the settings associated with a specified network

**Parameter**

`id` string

The network name

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

The [Network Settings Entity](docId\:S2_BRXukXI4xQTU33dwiL)

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

On success this method returns a status code 2XX, on failure it returns a status code of 5XX.

## GET  /Users/ 

Returns all user entities that the customer is associated with over all networks where the person has a user record

**Response Body**

Returns an array of user entities (see [User Entity (2017/01)](docId\:T8I22gQUfE-StmwNTieBe)) if the user is a member of multiple networks, or to a single [User Entity (2017/01)](docId\:T8I22gQUfE-StmwNTieBe) if the user is only a member of one network, or nothing if the user is not a member of any network.

## GET  /Users/\{userid\:int}/ 

Returns information about a specified user on a network

**Parameter**

`id` int 

The unique identifier for a user

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns the [User Entity (2017/01)](docId\:T8I22gQUfE-StmwNTieBe)

## GET  /Users/\{userid\:int}/Profile/ 

Returns the user profile settings

**Parameter**

`id` int

The unique identifier for a user

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

The return type is object, where property names are profile keys and the profile values are those property values

## POST  /Users/\{userid\:int}/Profile/ 

Creates the user profile property

**Parameter**

`id` int

The unique identifier for a user

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

`pair` \<string, string>

A key value pair. There should be not more than 100 properties per user, and each property value should be not more than 64KB. 

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns a 201 status code, the key value pair, and a link to the GET method to retrieve it. 

## GET  /Users/\{userid\:int}/Profile/&#x7B;key}/ 

Returns the value of a user profile key

**Parameters**

`id` int

The unique identifier for the user

`key`  string

The name of the profile property

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns the value of the requested user profile key 

## PUT  /Users/\{userid\:int}/Profile/&#x7B;key}/ 

Sets a property value in a user profile

**Parameters**

`id` int

The unique identifier for the user

`key` string

The name of the profile property

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

`value` string

The profile property value to update

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns HTTP status code 201 if the property value is defined for first time, or status code 204 if the property already exists and has been updated.

## DELETE  /Users/\{userid\:int}/Profile/&#x7B;key}/ 

Removes a user profile property

**Parameters**

`id` int

The unique identifier for the user

`key` string

The name of the profile property

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

On success this method returns a status code 2XX, on failure it returns a status code of 5XX.

## GET  /Users/\{userid\:int}/Notifications/ 

Returns the user notification settings

**Parameter**

`id` int

The unique identifier for the user

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns the [User Notification Settings Entity (2017/01)](docId:1yLEWggKuUA4k2zRgMEQu)&#x20;

## PUT  /Users/\{userid\:int}/Notifications/ 

Updates the user notification settings

**Parameter**

`id` int

The unique identifier for the user

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Body**

The [User Notification Settings Entity (2017/01)](docId:1yLEWggKuUA4k2zRgMEQu)&#x20;

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

On success this method returns a status code 2XX, on failure it returns a status code of 5XX.

## GET  /Users/\{userid\:int}/Permissions/ 

Returns permissions for a given user

**Parameter**

`id` int

The unique identifier for the user

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Response Body**

Returns an array of [Permission Entity (2017/01)](docId\:HORbsQTI93-eAFZzFtgMy)  entities
